SeExpr

Classes | Typedefs
SeExprInternal2 Namespace Reference

## Classes
class | _Mutex
class | _SpinLock
class | AutoLock
class | DebugLock

## Typedefs
typedef DebugLock< _Mutex > | Mutex
typedef DebugLock< _SpinLock > | SpinLock
typedef AutoLock< Mutex > | AutoMutex
typedef AutoLock< SpinLock > | AutoSpin

## Detailed Description

For internal use only

## Typedef Documentation

## ◆ AutoMutex

typedef AutoLock<Mutex> SeExprInternal2::AutoMutex

Definition at line 67 of file Mutex.h.

## ◆ AutoSpin

typedef AutoLock<SpinLock> SeExprInternal2::AutoSpin

Definition at line 68 of file Mutex.h.

## ◆ Mutex

typedef DebugLock<_Mutex> SeExprInternal2::Mutex

Definition at line 60 of file Mutex.h.

## ◆ SpinLock

typedef DebugLock<_SpinLock> SeExprInternal2::SpinLock

Definition at line 61 of file Mutex.h.